v.dissolve is "reclassifying" attributes after dissolve

2017-09-26 07:26 PM - Sarah Popov

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:2.18.13 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 25102

Description

I have a polygon with 5 features, classified 1-5, with 1 being light yellow gradating to 5 being dark blue. Some are split in half (see right

half of first screenshot) so I dissolve by attribute using v.dissolve. The resulting output consistently "reclassifies" my 5 features like so:

1 (light yellow) becomes -> 5 (dark blue)

2 (green) -> 1 (light yellow)

3 (blue-green) -> stays as 3!

4 (mid blue) -> stays as 4

5 (dark blue) -> 2 (green)

You can see the attribute & corresponding color changes in the second screenshot. The dissolve worked great (the seams between

polygons are gone), only the attributes were all shuffled around! I checked my polygons for any errors and there don't appear to be any so

I believe it may be the dissolve function.

Before v.dissolve

https://imgur.com/a/EU2U1

After v.dissolve (feature attributes are reclassified)

https://imgur.com/a/uu6uC

PS - this is my first bug report issued, so please let me know if there is anything to be fixed or done better in this report.

History

#1 - 2017-09-27 01:14 PM - Giovanni Manghi

- Status changed from Open to Feedback

Can you attached the data?

You did the operation within the GRASS plugin or in the Processing toolbox?

Have you tried different dissolve tools in the Processing toolbox?

#2 - 2017-10-03 08:05 PM - Sarah Popov

Giovanni Manghi wrote:

Can you attached the data?

You did the operation within the GRASS plugin or in the Processing toolbox?

Have you tried different dissolve tools in the Processing toolbox?
https://imgur.com/a/EU2U1
https://imgur.com/a/uu6uC


I've tried to replicate this but I can't - I guess I just was having a bad GIS day that day. Can you close this ticket?

#3 - 2017-10-03 08:06 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

Files

Before v-dissolve.JPG 128 KB 2017-09-26 Sarah Popov

After v-dissolve [recategorizes consistently].JPG 133 KB 2017-09-26 Sarah Popov
